### org.jfree.layouting.renderer.process

# Class LeftAlignmentProcessor

- `java.lang.Object`
- - `org.jfree.layouting.renderer.process.AbstractAlignmentProcessor`
  - - `org.jfree.layouting.renderer.process.LeftAlignmentProcessor`

Implemented Interfaces:
  TextAlignmentProcessor

`public class LeftAlignmentProcessor`
`extends AbstractAlignmentProcessor`

Performs the left-alignment computations.

The inf-min-step creates the initial sequence of elements. The alignment processor now iterates over the sequence and produces the layouted line.

Elements can be split, splitting is a local operation and does not copy the children. Text splitting may produce a totally different text (see: TeX hyphenation system).

The process is iterative and continues unless all elements have been consumed.

Author:
  Thomas Morgner

  ## Constructor Summary

  `LeftAlignmentProcessor()`

  ## Method Summary

  `protected void`

  `addPosition(long width)`

  `int`

  `getPageSegment()`

  `protected long`

  `getPosition()`

  `protected int`

  `handleElement(int start, int count)`
    Handle the next input chunk.

  `protected int`

  `handleLayout(int start, int count, int contentIndex, long usedWidth)`

  `RenderNode`

  `next()`

  `void`

  `setPageSegment(int pageSegment)`

  `protected void`

  `setPosition(long position)`

  ### Methods inherited from class org.jfree.layouting.renderer.process.AbstractAlignmentProcessor

  `computeInlineBlock`, `getBreakableIndex`, `getElementDimensions`, `getElementPositions`, `getEndOfLine`, `getPageBreak`, `getPageGrid`, `getSequenceElements`, `getSkipIndex`, `getStartOfLine`, `handleElement`, `handleLayout`, `hasNext`, `initialize`, `iterate`, `next`, `setBreakableIndex`, `setSkipIndex`

## Constructor Details

### LeftAlignmentProcessor

    public LeftAlignmentProcessor()

## Method Details

### addPosition

    protected void addPosition(long width)

### getPageSegment

    public int getPageSegment()

### getPosition

    protected long getPosition()

### handleElement

    protected int handleElement(int start,
                                int count)

> Handle the next input chunk.
> Overrides:
>   handleElement in interface AbstractAlignmentProcessor
> Parameters:
>   `start` - the start index
>   `count` - the number of elements in the sequence
> Returns:
>   true, if processing should be finished, false if more elements are needed for the line.

### handleLayout

    protected int handleLayout(int start,
                               int count,
                               int contentIndex,
                               long usedWidth)

> Overrides:
>   handleLayout in interface AbstractAlignmentProcessor

### next

    public RenderNode next()

> Specified by:
>   next in interface TextAlignmentProcessor
> Overrides:
>   next in interface AbstractAlignmentProcessor

### setPageSegment

    public void setPageSegment(int pageSegment)

### setPosition

    protected void setPosition(long position)